﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Commanding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public static readonly RoutedUICommand MyCommand =
            new RoutedUICommand("MyCommand", "MyCommand",
            typeof(Window1));

        public Window1()
        {
            InitializeComponent();

            CommandBinding copyCommandBinding = new CommandBinding(
                ApplicationCommands.Copy);
            copyCommandBinding.Executed += new ExecutedRoutedEventHandler(copyCommandBinding_Executed);

            this.CommandBindings.Add(copyCommandBinding);
        }

        void copyCommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Copy!");
        }
    }
}
