﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace UseBitmapApi
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            Stream jpegStream = typeof(Window1).Assembly.GetManifestResourceStream(
                "UseBitmapApi.Creek.jpg");

            JpegBitmapDecoder dec = new JpegBitmapDecoder(jpegStream,
                BitmapCreateOptions.None,
                BitmapCacheOption.OnLoad);

            BitmapFrame decodedFrame = dec.Frames[0];

            imageElement.Source = decodedFrame;

        }
    }
}
