﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace WpfFromScratch
{
    class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            Application app = new Application();

            Window w = new Window();
            w.Title = "Hello, world";

            //<Grid
            // xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation">

            Grid rootGrid = new Grid();
            w.Content = rootGrid;

            //  <Button
            //    HorizontalAlignment="Center"
            //    VerticalAlignment = "Center" >
            Button b = new Button
            {
                HorizontalAlignment = HorizontalAlignment.Center,
                VerticalAlignment = VerticalAlignment.Center
            };

            rootGrid.Children.Add(b);
            StackPanel buttonContentPanel = new StackPanel();
            b.Content = buttonContentPanel;

            var numbers = Enumerable.Range(1, 10);
            var query = from number in numbers
                        select new TextBlock
                        {
                            Text = "Item " + number,
                            FontSize = 30
                        };

            foreach (TextBlock item in query)
            {
                buttonContentPanel.Children.Add(item);
            }


            w.Show();

            app.Run();
        }
    }
}
