﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;
using System.Diagnostics;

namespace SlowApp
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            Debug.WriteLine("UI Thread: " + Thread.CurrentThread.ManagedThreadId);
        }

        SlowThing src = new SlowThing();
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("Click Thread: " + Thread.CurrentThread.ManagedThreadId);
            ThreadPool.QueueUserWorkItem(delegate
            {
                Debug.WriteLine("Work Thread: " + Thread.CurrentThread.ManagedThreadId);
                string result = src.Data;
                this.Dispatcher.BeginInvoke(System.Windows.Threading.DispatcherPriority.Normal,
                    (Action)delegate
                    {
                        Debug.WriteLine("Update Thread: " + Thread.CurrentThread.ManagedThreadId);

                        textBlock1.Text = result;
                    });
            });
        }
    }
}
